# Jiko Partner API

## Introduction

Welcome to the Jiko API Reference! Jiko enables you to integrate money storage and movement, backed by the safety and security of US Treasury Bills. Use the Partner API if you are building an application that embeds Jiko’s services and offers Jiko products to your own customers. The Partner API will then enable your application to interact with Jiko on behalf of your customers.

</br>

At the core of our platform is the Jiko Pocket: a pair consisting of a bank account and a brokerage account. When money is deposited into a Pocket, the funds are automatically invested in T-bills. When a payment or withdrawal is made, T-bills are immediately liquidated and used as cash. Customers can have multiple Pockets, and each Pocket is associated with a single T-bill maturity: 4-week, 13-week, 26-week or 52-week.

</br>

The API Reference covers everything you need to build a full application leveraging the Jiko platform:

</br>

- Onboarding customers
- Funding Pockets via ACH or Wire
- Viewing and managing Pockets (including monthly statements and trade confirmations)
- Making payments and transfers via ACH, Wire, On-Us (Book) Transfer or Debit Card

</br>

When you’re ready to start building, please contact us at [partner.support@jiko.io](mailto:partner.support@jiko.io) to request sandbox access.


Version: Version: cf52545e

## Servers

Production server
```
https://{partner}.partner-api.jikoservices.com
```

Variables:
- `partner`: Your organization's unique identifier
  Default: "your-partner-name"

Sandbox server
```
https://{partner}.sandbox-api.jikoservices.com
```

Variables:
- `partner`: Your organization's unique identifier
  Default: "your-partner-name"

## Security

### HTTPBearer

Type: http
Scheme: bearer

## Download OpenAPI description

 - [Jiko Partner API](https://docs.jiko.io/_bundle/products/partner-api/reference.yaml)

## Accounts

 - [GET /api/v1/customers/{customer_id}/jiko-accounts/](https://docs.jiko.io/products/partner-api/reference/accounts/list_customer_accounts_api_v1_customers__customer_id__jiko_accounts__get.md): Get a list of all accounts for a specified customer. **Deprecated**: Use [List Pockets for Customer](/products/partner-api/reference/pockets/list-pockets-v2) instead.
 - [GET /api/v1/jiko-accounts/{account_id}/](https://docs.jiko.io/products/partner-api/reference/accounts/get_customer_account_api_v1_jiko_accounts__account_id___get.md): Get a specific account. **Deprecated**: Use [Get Customer Pocket](/products/partner-api/reference/pockets/get-pocket-v2) instead.
## Customers

 - [GET /api/v1/customers/{customer_id}/](https://docs.jiko.io/products/partner-api/reference/customers/get_customer_data_api_v1_customers__customer_id___get.md): Retrieve customer details for the customer given by the customer ID.
 - [PATCH /api/v1/customers/{customer_id}/](https://docs.jiko.io/products/partner-api/reference/customers/update_customer_data_api_v1_customers__customer_id___patch.md): Updates details for a given Customer, including contact information and Trusted Contact information. This endpoint can also be used to close customer accounts with the `CloseCustomerAccount` request b
 - [GET /api/v1/customers/{customer_id}/beneficial-owners/](https://docs.jiko.io/products/partner-api/reference/customers/get_beneficial_owners_api_v1_customers__customer_id__beneficial_owners__get.md): Gets a list of beneficial owners for a given customer.
 - [POST /api/v1/customers/{customer_id}/documents/{document_type}/file/](https://docs.jiko.io/products/partner-api/reference/customers/upload-customer-document.md): Upload files for an approved customer. Used to verify customer requests (e.g. Customer change request, close account request, ACH request). Refer to the [Upload Document To Application](/products/part
## Transactions

 - [GET /api/v1/customers/{customer_id}/transactions/](https://docs.jiko.io/products/partner-api/reference/transactions/list_customer_transactions_api_v1_customers__customer_id__transactions__get.md): Returns a list of transactions from a customer's **bank accounts**. It does not include transactions between the **bank account** and **brokerage account**. **Deprecated**: Use [List Customer Transact
 - [GET /api/v1/jiko-accounts/{account_id}/transactions/](https://docs.jiko.io/products/partner-api/reference/transactions/list_account_transactions_api_v1_jiko_accounts__account_id__transactions__get.md): Returns a list of **bank account** transactions. It does not include transactions between the **bank account** and **brokerage account**. **Deprecated**: Use [List Pocket Transactions](/products/partn
 - [GET /api/v1/jiko-accounts/{account_id}/transactions/{transaction_id}/](https://docs.jiko.io/products/partner-api/reference/transactions/get_account_transaction_api_v1_jiko_accounts__account_id__transactions__transaction_id___get.md): Returns a specific transaction for a specific account, based on the provided account_id and transaction_id in question. **Deprecated**: Use [Get Transaction](/products/partner-api/reference/transactio
## Trades

 - [GET /api/v1/customers/{customer_id}/trades/](https://docs.jiko.io/products/partner-api/reference/trades/list_customer_trades_api_v1_customers__customer_id__trades__get.md): Returns a list of trades from a customer's **brokerage accounts**.
 - [GET /api/v1/jiko-accounts/{account_id}/trades/](https://docs.jiko.io/products/partner-api/reference/trades/list_account_trades_api_v1_jiko_accounts__account_id__trades__get.md): Get a list of trades. This is the equivalent of fetching transactions for the **brokerage** account.
 - [GET /api/v1/jiko-accounts/{account_id}/trades/{trade_id}/confirmation/](https://docs.jiko.io/products/partner-api/reference/trades/get_trade_confirmation_api_v1_jiko_accounts__account_id__trades__trade_id__confirmation__get.md): Get a trade's trade confirmation. </br> Trade confirmations are sensitive documents. For security reasons, we return trade confirmations as PDFs through a URL with a 10-minute TTL. Trade confirmation
## Statements

 - [GET /api/v1/customers/{customer_id}/statements/](https://docs.jiko.io/products/partner-api/reference/statements/list_customer_statements_api_v1_customers__customer_id__statements__get.md): Get all statements for all accounts of a specific customer.
 - [GET /api/v1/jiko-accounts/{account_id}/statements/](https://docs.jiko.io/products/partner-api/reference/statements/list_account_statements_api_v1_jiko_accounts__account_id__statements__get.md): Lists all statements for an account. Partners can expect monthly statements to be available by the 15th of every month. </br> Bank and Broker dealer statements are sensitive documents. For security re
## Manage Cards

 - [GET /api/v1/jiko-accounts/{account_id}/cards/](https://docs.jiko.io/products/partner-api/reference/manage-cards/list_account_cards_api_v1_jiko_accounts__account_id__cards__get.md): Get all cards for a specific account. Includes the `card_id` and metadata, but sensitive data like CVV's, expiration dates and card numbers are omitted.
 - [GET /api/v1/customers/{customer_id}/cards/](https://docs.jiko.io/products/partner-api/reference/manage-cards/list_customer_cards_api_v1_customers__customer_id__cards__get.md): Get all cards for a specific account. Includes the `card_id` and metadata, but sensitive data like CVV's, expiration dates and card numbers are omitted.
 - [GET /api/v1/jiko-accounts/{account_id}/cards/{card_id}/status/](https://docs.jiko.io/products/partner-api/reference/manage-cards/get_card_status_api_v1_jiko_accounts__account_id__cards__card_id__status__get.md): Get a card's current status.
 - [PATCH /api/v1/jiko-accounts/{account_id}/cards/{card_id}/status/](https://docs.jiko.io/products/partner-api/reference/manage-cards/set_card_status_api_v1_jiko_accounts__account_id__cards__card_id__status__patch.md): Set a primary card's status. Note that once a card's primary status is set to `CLOSED`, it can never be used again. Optionally include a magstripe status to enable or disable swipes. Magstripe updates
 - [POST /api/v1/jiko-accounts/{account_id}/cards/{card_id}/pin/](https://docs.jiko.io/products/partner-api/reference/manage-cards/set_card_pin_api_v1_jiko_accounts__account_id__cards__card_id__pin__post.md): Set PIN for physical cards (by `card_id`) before they are activated.
 - [POST /api/v1/jiko-accounts/{account_id}/cards/{card_id}/close/](https://docs.jiko.io/products/partner-api/reference/manage-cards/close_card_api_v1_jiko_accounts__account_id__cards__card_id__close__post.md): Close a card, virtual or physical. Physical cards require a `closure_reason`. If the reason is `STOLEN` or `LOST`, a `lost_stolen_date` is required.
## Physical Cards

 - [GET /api/v1/jiko-accounts/{account_id}/card-orders/](https://docs.jiko.io/products/partner-api/reference/physical-cards/list_card_orders_api_v1_jiko_accounts__account_id__card_orders__get.md): List all card orders for this account.
 - [POST /api/v1/jiko-accounts/{account_id}/card-orders/](https://docs.jiko.io/products/partner-api/reference/physical-cards/create_physical_card_order_api_v1_jiko_accounts__account_id__card_orders__post.md): Order a new, physical card for an account. It will be delivered to the specified address.
 - [GET /api/v1/customers/{customer_id}/card-orders/](https://docs.jiko.io/products/partner-api/reference/physical-cards/list_customer_card_orders_api_v1_customers__customer_id__card_orders__get.md): List all card orders for the customer.
 - [GET /api/v1/jiko-accounts/{account_id}/card-orders/{card_order_id}/](https://docs.jiko.io/products/partner-api/reference/physical-cards/get_card_order_api_v1_jiko_accounts__account_id__card_orders__card_order_id___get.md): Retrieve card order information by provided `card_order_id`.
 - [POST /api/v1/jiko-accounts/{account_id}/physical-cards/{card_id}/](https://docs.jiko.io/products/partner-api/reference/physical-cards/get_physical_card_api_v1_jiko_accounts__account_id__physical_cards__card_id___post.md): Retrieve physical card detail by given `card_id`. Generate a single-use 4096-bit RSA key-pair at the (end user) client side and pass the public key PEM encoded upstream in PKCS#1 or PKCS#1.5 format to
## Virtual Cards

 - [POST /api/v1/jiko-accounts/{account_id}/virtual-cards/{card_id}/](https://docs.jiko.io/products/partner-api/reference/virtual-cards/get_virtual_card_api_v1_jiko_accounts__account_id__virtual_cards__card_id___post.md): Retrieve virtual card detail by given `card_id`. Generate a single-use 4096-bit RSA key-pair at the (end user) client side and pass the public key PEM encoded upstream in PKCS#1 or PKCS#1.5 format to
 - [DELETE /api/v1/jiko-accounts/{account_id}/virtual-cards/{card_id}/](https://docs.jiko.io/products/partner-api/reference/virtual-cards/close_virtual_card_api_v1_jiko_accounts__account_id__virtual_cards__card_id___delete.md): Close a virtual card. This is an irreversible action.
 - [POST /api/v1/jiko-accounts/{account_id}/virtual-cards/](https://docs.jiko.io/products/partner-api/reference/virtual-cards/create_virtual_card_api_v1_jiko_accounts__account_id__virtual_cards__post.md): Create a virtual card for an account. Generate a single-use 4096-bit RSA key-pair at the (end user) client side and pass the public key PEM encoded upstream in PKCS#1 or PKCS#1.5 format to ensure conf
## Businesses

 - [POST /api/v1/business-applications/](https://docs.jiko.io/products/partner-api/reference/businesses/create-business-application.md): Create a Business Application. The **Business Application** object contains general information related to the business and the overall status of the application. </br> See the [Onboarding Businesses
 - [GET /api/v1/business-applications/{application_id}/](https://docs.jiko.io/products/partner-api/reference/businesses/get-business-application.md): Fetch a Business Application.
 - [PATCH /api/v1/business-applications/{application_id}/](https://docs.jiko.io/products/partner-api/reference/businesses/update-business-application.md)
 - [POST /api/v1/business-applications/{application_id}/apply/](https://docs.jiko.io/products/partner-api/reference/businesses/business-application-apply.md): When the Business Application object has been completed, along with Related Party Applications and Document Requests (see the [Onboarding Businesses Guide](/products/partner-api/guides/building/onboar
 - [POST /api/v1/business-applications/{application_id}/related-party-applications/](https://docs.jiko.io/products/partner-api/reference/businesses/create-related-party-application.md)
 - [GET /api/v1/business-applications/{application_id}/related-party-applications/](https://docs.jiko.io/products/partner-api/reference/businesses/list-related-party-application.md)
 - [PATCH /api/v1/business-applications/{application_id}/related-party-applications/{related_party_application_id}/](https://docs.jiko.io/products/partner-api/reference/businesses/update-related-party-application.md)
 - [DELETE /api/v1/business-applications/{application_id}/related-party-applications/{related_party_application_id}/](https://docs.jiko.io/products/partner-api/reference/businesses/delete-related-party-application.md)
 - [GET /api/v1/business-applications/{application_id}/related-party-applications/{related_party_application_id}/](https://docs.jiko.io/products/partner-api/reference/businesses/list-related-party-document-requests-businesses.md): Fetch the list of outstanding Document Requests. Document Requests vary depending on the information provided in the Business Application and Related Party Application objects. <br /> See the [Onboard
 - [GET /api/v1/business-applications/{application_id}/documents/](https://docs.jiko.io/products/partner-api/reference/businesses/list-document-requests-businesses.md): Fetch the list of outstanding Document Requests. Document Requests vary depending on the information provided in the Business Application and Related Party Application objects. <br /> See the [Onboard
 - [POST /api/v1/documents/{document_id}/](https://docs.jiko.io/products/partner-api/reference/businesses/upload-application-document.md)
## Individuals

 - [POST /api/v1/applications/](https://docs.jiko.io/products/partner-api/reference/individuals/create_application_api_v1_applications__post.md): Create an application. You must [apply](/products/partner-api/reference/individuals/apply_api_v1_applications__application_id__apply__post) to potentially create a customer using the application, assu
 - [GET /api/v1/applications/{application_id}/](https://docs.jiko.io/products/partner-api/reference/individuals/get_application_api_v1_applications__application_id___get.md): Fetch and observe an existing application.
 - [POST /api/v1/applications/{application_id}/apply/](https://docs.jiko.io/products/partner-api/reference/individuals/apply_api_v1_applications__application_id__apply__post.md): Initiate automatic KYC. Transitions the application from `CREATED` status to `SUBMITTED` status. Once the async KYC process is completed, the application will move from `SUBMITTED` to another status.
 - [GET /api/v1/agreements/](https://docs.jiko.io/products/partner-api/reference/individuals/list_agreements_api_v1_agreements__get.md): Partner agreements and disclosures are available through the API in a versioned bundle. The version of the fetched bundle must be attached to all incoming applications. </br> Partners who onboard more
 - [POST /api/v1/applications/{application_id}/documents/{document_type}/file/](https://docs.jiko.io/products/partner-api/reference/individuals/upload_document_to_application_api_v1_applications__application_id__documents__document_type__file__post.md): Upload documents to the application for more detailed KYC or manual review. As with all other endpoints, the bearer token and `x-jiko-idempotency` is needed, but `x-jiko-signature` is not needed. The
 - [POST /api/v1/documents/{document_id}/](https://docs.jiko.io/products/partner-api/reference/individuals/upload-application-document.md)
## Events

 - [GET /api/v1/events/types/](https://docs.jiko.io/products/partner-api/reference/events/list_event_types_api_v1_events_types__get.md): List all event types.
 - [GET /api/v1/events/](https://docs.jiko.io/products/partner-api/reference/events/list_events_api_v1_events__get.md): List all past events.
## Health

 - [GET /health](https://docs.jiko.io/products/partner-api/reference/health/get-health-check.md): A health check endpoint, which returns "OK" if the Partner API is up and running.
## Sandbox

 - [POST /api/v1/sandbox/card-swipe/](https://docs.jiko.io/products/partner-api/reference/sandbox/submit_card_swipe_api_v1_sandbox_card_swipe__post.md): Simulate a card swipe with the given `card_id` for a given `amount_usdc` in USD cents. **Note**: Only for virtual cards at the moment.
 - [POST /api/v1/sandbox/generate-card/](https://docs.jiko.io/products/partner-api/reference/sandbox/generate_physical_card_from_order_api_v1_sandbox_generate_card__post.md): Generate a physical card from a card order with a given `card_order_id`.
 - [POST /api/v1/sandbox/webhook/](https://docs.jiko.io/products/partner-api/reference/sandbox/trigger-webhook.md): Simulates a webhook event according to the payload. This will trigger requests to subscribed callback URLs, if any.
 - [POST /api/v1/sandbox/fund/](https://docs.jiko.io/products/partner-api/reference/sandbox/fund_account_api_v1_sandbox_fund__post.md): Simulates an ACH credit to the provided Jiko account. Requires a portal to use. A portal can be created using the [Create Portal](/products/partner-api/reference/portals/create_portal_api_v1_jiko_acco
## Security

 - [POST /api/v1/login/](https://docs.jiko.io/products/partner-api/reference/security/login_api_v1_login__post.md): Provide the username and password in a request body to receive a bearer token to authenticate to the API's other endpoints. </br> See [Authentication](/products/partner-api/authentication).
 - [GET /api/v1/public-keys/](https://docs.jiko.io/products/partner-api/reference/security/list_public_keys_api_v1_public_keys__get.md): Returns all relevant asymmetric encryption keys.
## Subscriptions

 - [GET /api/v1/subscriptions/](https://docs.jiko.io/products/partner-api/reference/subscriptions/list_subscriptions_api_v1_subscriptions__get.md): List a partner's subscriptions.
 - [POST /api/v1/subscriptions/](https://docs.jiko.io/products/partner-api/reference/subscriptions/create_subscription_api_v1_subscriptions__post.md): Creates a webhook subscription for the specified event types and the given URL.
 - [GET /api/v1/subscriptions/{subscription_id}/](https://docs.jiko.io/products/partner-api/reference/subscriptions/get_subscription_api_v1_subscriptions__subscription_id___get.md): Retrieve a webhook subscription by given `subscription_id`.
 - [PATCH /api/v1/subscriptions/{subscription_id}/](https://docs.jiko.io/products/partner-api/reference/subscriptions/update_subscription_api_v1_subscriptions__subscription_id___patch.md): Updates webhook subscription by specified `subscription_id`.
 - [DELETE /api/v1/subscriptions/{subscription_id}/](https://docs.jiko.io/products/partner-api/reference/subscriptions/delete_subscription_api_v1_subscriptions__subscription_id___delete.md): Deletes a webhook subscription matching the given ID.
## Webhooks

 - [POST application.approved](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_application_approved_post.md): Application - Approved Event
 - [POST application.manual_review](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_application_manual_review_post.md): Application - Manual Review Event
 - [POST application.documents_needed](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_application_documents_needed_post.md): Application - Documents Needed Event
 - [POST application.rejected](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_application_rejected_post.md): Application - Rejected Event
 - [POST transfers.ach.in.success](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_transfers_ach_in_success_post.md): Incoming ACH Transfer - Success Event Triggered when Jiko, when acting as the [RDFI](https://www.nacha.org/content/how-ach-payments-work) has successfully processed an ACH transfer it received and set
 - [POST transfers.ach.in.rejected](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_transfers_ach_in_rejected_post.md): Incoming ACH Transfer - Rejected Event Triggered when Jiko, when acting as the [RDFI](https://www.nacha.org/content/how-ach-payments-work) has rejected and returned an ACH transfer it received back to
 - [POST transfers.ach.out.success](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_transfers_ach_out_success_post.md): Outgoing ACH Transfer - Success Event Triggered when Jiko, when acting as the [ODFI](https://www.nacha.org/content/how-ach-payments-work) has originated an ACH transfer and sent it to the ACH network.
 - [POST transfers.ach.out.rejected](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_transfers_ach_out_rejected_post.md): Outgoing ACH Transfer - Rejected Event Triggered when an ACH transfer originated by Jiko, when acting as the [ODFI](https://www.nacha.org/content/how-ach-payments-work), has been returned by the recei
 - [POST transfers.ach.out.sent](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_transfers_ach_out_sent_post.md): Outgoing ACH Transfer - Sent Event Triggered when an ACH transfer originated by Jiko, when acting as the [ODFI](https://www.nacha.org/content/how-ach-payments-work), has been sent to the ACH network f
 - [POST card.status.closed](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_card_status_closed_post.md): Card Status - Closed Event
 - [POST card.status.open](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_card_status_open_post.md): Card Status - Open Event
 - [POST card.status.frozen](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_card_status_frozen_post.md): Card Status - Frozen Event
 - [POST card.status.locked](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_card_status_locked_post.md): Card Status - Locked Event
 - [POST card.transaction.approved](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_card_transaction_approved_post.md): Card Transaction - Approved Event
 - [POST card.transaction.on_hold](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_card_transaction_on_hold_post.md): Card Transaction - On Hold Event
 - [POST card.transaction.reversed](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_card_transaction_reversed_post.md): Card Transaction - Reversed Event
 - [POST card.transaction.rejected](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_card_transaction_rejected_post.md): Card Transaction - Rejected Event
 - [POST transfers.wire.out.success](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_transfers_wire_out_success_post.md): Outgoing Wire Transfer - Success Event
 - [POST transfers.wire.out.processing](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_transfers_wire_out_processing_post.md): Outgoing Wire Transfer - Processing Event
 - [POST transfers.wire.out.rejected](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_transfers_wire_out_rejected_post.md): Outgoing Wire Transfer - Rejected Event
 - [POST transfers.wire.in.success](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_transfers_wire_in_success_post.md): Incoming Wire Transfer - Success Event
 - [POST transfers.wire.in.rejected](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_transfers_wire_in_rejected_post.md): Incoming Wire Transfer - Rejected Event
 - [POST transfers.on-us.success](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_transfers_on_us_success_post.md): Transfers On-Us Success Event
 - [POST transfers.on-us.processing](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_transfers_on_us_processing_post.md): Transfers On-Us Processing Event
 - [POST transfers.on-us.rejected](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_transfers_on_us_rejected_post.md): Transfers On-Us Rejected Event
 - [POST transfers.on-us.received](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_transfers_on_us_received_post.md): Transfers On-Us Received Event
 - [POST tradable.maturity](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_tradable_maturity_post.md): Tradable - Maturity Event Triggered when a treasury bill held by the pocket referenced in the event payload has matured.
 - [POST report.status.available](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_report_status_available_post.md): Report - Download Available Event
 - [POST report.status.pending](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_report_status_pending_post.md): Report - Pending Creation Event
 - [POST report.status.failed](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_report_status_failed_post.md): Report Status Failed Event
 - [POST counterparty.status.linked](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_counterparty_status_linked_post.md): Counterparty Status - Linked Event
 - [POST counterparty.status.unlinked](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_counterparty_status_unlinked_post.md): Counterparty Status - Unlinked Event
 - [POST counterparty.status.failed](https://docs.jiko.io/products/partner-api/reference/webhooks/webhook_counterparty_status_failed_post.md): Counterparty Status - Failed Event
## Reports

 - [GET /api/v1/report-requests/](https://docs.jiko.io/products/partner-api/reference/reports/list_report_requests_api_v1_report_requests__get.md): Returns a list of report requests
 - [POST /api/v1/report-requests/](https://docs.jiko.io/products/partner-api/reference/reports/create_report_request_api_v1_report_requests__post.md): This endpoint triggers an asynchronous process to create a report request based on the provided parameters. Available report types are: ## Type `BANK_STATEMENT_REPORT` End-of-day bank statement for th
 - [GET /api/v1/report-requests/{report_request_id}/](https://docs.jiko.io/products/partner-api/reference/reports/get_report_request_api_v1_report_requests__report_request_id___get.md): Retrieves a single report request by ID
 - [GET /api/v1/reports/{report_id}/](https://docs.jiko.io/products/partner-api/reference/reports/get_report_api_v1_reports__report_id___get.md): Retrieves a single report by ID
 - [POST /api/v1/reports/{report_id}/download/](https://docs.jiko.io/products/partner-api/reference/reports/download_report_api_v1_reports__report_id__download__post.md): Creates a temporary, time-limited URL for downloading the report corresponding to the given ID
 - [POST /api/v1/reports/{report_id}/formats/](https://docs.jiko.io/products/partner-api/reference/reports/render_report_formats_api_v1_reports__report_id__formats__post.md): Triggers rendering of additional output formats for an existing report
## ACH

 - [GET /api/v1/jiko-accounts/{account_id}/ach-originating/](https://docs.jiko.io/products/partner-api/reference/ach/list_ach_originations_api_v1_jiko_accounts__account_id__ach_originating__get.md): List all ACH transfer originations.
 - [POST /api/v1/jiko-accounts/{account_id}/ach-originating/](https://docs.jiko.io/products/partner-api/reference/ach/create_ach_origination_api_v1_jiko_accounts__account_id__ach_originating__post.md): Originate an ACH transaction with the counterparty. This can only be done after creating a [Counterparty](/products/partner-api/reference/counterparties-v2/create_counterparty_api_v2_customers__custom
 - [GET /api/v1/jiko-accounts/{account_id}/ach-originating/{transfer_id}/](https://docs.jiko.io/products/partner-api/reference/ach/get_ach_origination_api_v1_jiko_accounts__account_id__ach_originating__transfer_id___get.md): Get a specific ACH transfer origination.
 - [GET /api/v1/customers/{customer_id}/ach-originating/](https://docs.jiko.io/products/partner-api/reference/ach/list_customer_ach_originations_api_v1_customers__customer_id__ach_originating__get.md): List all ACH transfer originations across a customer's accounts.
## Counterparties

 - [GET /api/v1/customers/{customer_id}/counterparties/](https://docs.jiko.io/products/partner-api/reference/counterparties/list_counterparties_api_v1_customers__customer_id__counterparties__get.md): List all counterparties for a customer. **Deprecated**: Use [List Counterparties](/products/partner-api/reference/counterparties-v2/list_counterparties_api_v2_customers__customer_id__counterparties__g
 - [GET /api/v1/customers/{customer_id}/counterparties/{counterparty_id}/](https://docs.jiko.io/products/partner-api/reference/counterparties/get_counterparty_api_v1_customers__customer_id__counterparties__counterparty_id___get.md): **Deprecated**: Use [Get Counterparty](/products/partner-api/reference/counterparties-v2/get_counterparty_api_v2_customers__customer_id__counterparties__counterparty_id___get) instead. Poll this endpo
## On-Us Transfers

 - [POST /api/v1/transfers/on-us/](https://docs.jiko.io/products/partner-api/reference/on-us-transfers/create-on-us-transfer.md): Initiates an On-Us Transfer between two Pockets. On-Us Transfers can be made in four directions (defined by `type`): 1. `PARTNER_CUSTOMER_FUNDING`: From a Partner’s Pocket to a Customer’s Pocket 2. `P
 - [POST /api/v1/transfers/on-us/quotes/](https://docs.jiko.io/products/partner-api/reference/on-us-transfers/preview-on-us-transfer.md): Returns a dry-run quote for a same-entity on-us security transfer (an `INTERNAL_REALLOCATION` of type `SECURITY_TRANSFER`), running the same validation and ruleset evaluation as creating the transfer
 - [GET /api/v1/transfers/on-us/{transfer_id}/](https://docs.jiko.io/products/partner-api/reference/on-us-transfers/get-on-us-transfer.md): Gets a single on-us transfer by ID.
## Portals

 - [GET /api/v1/jiko-accounts/{account_id}/portals/](https://docs.jiko.io/products/partner-api/reference/portals/list_account_portals_api_v1_jiko_accounts__account_id__portals__get.md): Get a list of portals associated with an account.
 - [POST /api/v1/jiko-accounts/{account_id}/portals/](https://docs.jiko.io/products/partner-api/reference/portals/create_portal_api_v1_jiko_accounts__account_id__portals__post.md): Create a portal for an account.
 - [GET /api/v1/jiko-accounts/{account_id}/portals/{portal_id}/](https://docs.jiko.io/products/partner-api/reference/portals/get-account-portal.md): Get a specific portal associated with an account.
 - [PATCH /api/v1/jiko-accounts/{account_id}/portals/{portal_id}/](https://docs.jiko.io/products/partner-api/reference/portals/update_portal_api_v1_jiko_accounts__account_id__portals__portal_id___patch.md): Update a portal's name.
 - [POST /api/v1/jiko-accounts/{account_id}/portals/{portal_id}/close/](https://docs.jiko.io/products/partner-api/reference/portals/close_portal_api_v1_jiko_accounts__account_id__portals__portal_id__close__post.md): Close a portal. This is an irreversible action.
 - [GET /api/v1/customers/{customer_id}/portals/](https://docs.jiko.io/products/partner-api/reference/portals/list_customer_portals_api_v1_customers__customer_id__portals__get.md): Get a list of portals associated with customer's accounts.
## Wires

 - [POST /api/v1/jiko-accounts/{account_id}/wires/](https://docs.jiko.io/products/partner-api/reference/wires/create-wire.md): Initiates a Wire Transfer. Wires can only be sent to accounts created and verified via [Create Counterparty](/products/partner-api/reference/counterparties-v2/create_counterparty_api_v2_customers__cus
 - [GET /api/v1/wires/](https://docs.jiko.io/products/partner-api/reference/wires/list-wires-v1.md)
 - [GET /api/v1/wires/{wire_id}/](https://docs.jiko.io/products/partner-api/reference/wires/get-wire-v1.md)
## Pockets

 - [POST /api/v2/customers/{customer_id}/pockets/](https://docs.jiko.io/products/partner-api/reference/pockets/create_pocket_api_v2_customers__customer_id__pockets__post.md): Creates a single Pocket for a customer. Trading strategy for the Pocket is specified with a Pocket Configuration.
 - [GET /api/v2/customers/{customer_id}/pockets/](https://docs.jiko.io/products/partner-api/reference/pockets/list-pockets-v2.md): Retrieve all Pockets for a single Customer.
 - [GET /api/v2/pockets/](https://docs.jiko.io/products/partner-api/reference/pockets/list-all-pockets-v2.md): Retrieve all Pockets for a list of Customers.
 - [GET /api/v2/customers/{customer_id}/pockets/{pocket_id}/](https://docs.jiko.io/products/partner-api/reference/pockets/get-pocket-v2.md): Retrieve a single Pocket for a given `pocket_id.`
 - [PATCH /api/v2/customers/{customer_id}/pockets/{pocket_id}/](https://docs.jiko.io/products/partner-api/reference/pockets/update-pocket-v2.md): Update a Pocket's name, or update a Pocket's status. If the intent is to close a Pocket, then there are two requirements: The Pocket needs to be empty, and there has to be at least one other open Pock
 - [GET /api/v2/pockets/{pocket_id}/](https://docs.jiko.io/products/partner-api/reference/pockets/get-single-pocket-v2.md): Retrieve a single Pocket for a given `pocket_id.`
 - [GET /api/v2/pockets/{pocket_id}/earnings/](https://docs.jiko.io/products/partner-api/reference/pockets/get-earnings-v2.md)
 - [GET /api/v2/customers/{customer_id}/earnings/](https://docs.jiko.io/products/partner-api/reference/pockets/get-customer-earnings-v2.md): Returns current-period earnings for each of a customer's Pockets plus their exact aggregate, in a single call. The aggregate is the field-wise sum of the per-Pocket entries (sum of `earnings`, sum of
## Portals V2

 - [GET /api/v2/pockets/{pocket_id}/portals/](https://docs.jiko.io/products/partner-api/reference/portals-v2/list_pocket_portals_api_v2_pockets__pocket_id__portals__get.md): Get a list of portals associated with a pocket.
 - [POST /api/v2/pockets/{pocket_id}/portals/](https://docs.jiko.io/products/partner-api/reference/portals-v2/create_portal_api_v2_pockets__pocket_id__portals__post.md): Create a portal for an account.
 - [GET /api/v2/customers/{customer_id}/portals/](https://docs.jiko.io/products/partner-api/reference/portals-v2/list_customer_portals_api_v2_customers__customer_id__portals__get.md): Get a list of portals associated with customer's pockets.
 - [GET /api/v2/pockets/{pocket_id}/portals/{portal_id}/](https://docs.jiko.io/products/partner-api/reference/portals-v2/get-pocket-portal.md): Get a specific portal associated with an account.
 - [PATCH /api/v2/pockets/{pocket_id}/portals/{portal_id}/](https://docs.jiko.io/products/partner-api/reference/portals-v2/update_portal_api_v2_pockets__pocket_id__portals__portal_id___patch.md): Update a portal's name.
 - [GET /api/v2/pockets/{pocket_id}/portals/{portal_id}/funding-instructions/](https://docs.jiko.io/products/partner-api/reference/portals-v2/portal-list-funding-instructions.md): Returns funding instructions for all payment rails supported by the portal.
## Trading Strategies

 - [GET /api/v2/trading-strategies/](https://docs.jiko.io/products/partner-api/reference/trading-strategies/list_trading_strategies_api_v2_trading_strategies__get.md)
## Transactions V2

 - [GET /api/v2/pockets/{pocket_id}/transactions/](https://docs.jiko.io/products/partner-api/reference/transactions-v2/list-pocket-transactions-v2.md): Returns a list of **pocket** transactions. It does not include transactions between the **bank account** and **brokerage account**.
 - [GET /api/v2/customers/{customer_id}/transactions/](https://docs.jiko.io/products/partner-api/reference/transactions-v2/list-customer-transactions-v2.md): Returns a list of **customer** transactions. It does not include transactions between the **bank account** and **brokerage account**.
 - [GET /api/v2/transactions/](https://docs.jiko.io/products/partner-api/reference/transactions-v2/list-partner-transactions-v2.md): Returns a list of **pocket** transactions. It does not include transactions between the **bank account** and **brokerage account**.
 - [GET /api/v2/transactions/{transaction_activity_id}/](https://docs.jiko.io/products/partner-api/reference/transactions-v2/get-transaction-v2.md): Retrieves a single transaction activity by ID. A transaction activity represents a single side (debit/credit) of a transaction.
## Trades V2

 - [GET /api/v2/customers/{customer_id}/trades/](https://docs.jiko.io/products/partner-api/reference/trades-v2/list-customer-trades-v2.md): Returns a list of trades from a customer's brokerage accounts. Includes standard trades (BUY, SELL, MATURITY) and security transfer trades.
## Health

 - [GET /health](https://docs.jiko.io/products/partner-api/reference/health/get-health-check.md): A health check endpoint, which returns "OK" if the Partner API is up and running.
## Counterparties V2

 - [GET /api/v2/customers/{customer_id}/counterparties/](https://docs.jiko.io/products/partner-api/reference/counterparties-v2/list_counterparties_api_v2_customers__customer_id__counterparties__get.md): Retrieve a list of counterparties for a given account.
 - [POST /api/v2/customers/{customer_id}/counterparties/](https://docs.jiko.io/products/partner-api/reference/counterparties-v2/create_counterparty_api_v2_customers__customer_id__counterparties__post.md): Creates a counterparty with the provided parameters. There are currently two types of verification available - verification with supporting documents, and with an incoming wire.
 - [GET /api/v2/customers/{customer_id}/counterparties/{counterparty_id}/](https://docs.jiko.io/products/partner-api/reference/counterparties-v2/get_counterparty_api_v2_customers__customer_id__counterparties__counterparty_id___get.md)
 - [PATCH /api/v2/customers/{customer_id}/counterparties/{counterparty_id}/](https://docs.jiko.io/products/partner-api/reference/counterparties-v2/update_counterparty_api_v2_customers__customer_id__counterparties__counterparty_id___patch.md)
